Subject: Re: [PATCH v2 1/4] apply: reject input that touches outside $cwd

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Feb 2015 13:23:15 -0800

Jeff King <[email-masked]> writes:

> Right, I do not think these tests will _fail_ when the filesystem does
> not support symlinks. But nor are they actually testing anything
> interesting. They would pass on such a system even without your patch,
> as we would fail to apply even the symlink creation part of the patch.

I thought we write out the contents of the symbolic link as a
regular file on such a filesystem, and as long as we do not expect
"test -h expected-to-be-symlink-we-just-created" to succeed we would
be fine.